Bug 221924 - (xwnc) Review Request: xwnc - Mix of Xvnc and XDarwin with improved protocol
Review Request: xwnc - Mix of Xvnc and XDarwin with improved protocol
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2007-01-08 18:38 EST by Christopher Stone
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-10 13:58:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2007-01-08 18:38:02 EST
Spec URL: http://tkmame.retrogames.com/fedora-extras/xwnc.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/xwnc-0.3.3-1.src.rpm

Description:
Mix of Xvnc and XDarwin with improved protocol.
Comment 1 manuel wolfshant 2007-01-09 04:11:47 EST
- package meets naming guidelines
- package meets packaging guidelines, including a comment specifying the fact
that parallel make is broken
- license ( GPL v2) OK, text in %doc, matches source
- spec file legible, in am. english
- source is the last available version and matches upstream, 
f6df982eaebd4bf7f26661c126a1747a9cb0ecb1 xwnc-0.3.3.tar.gz
- package compiles on devel (x86_64)
- no missing BR
- MINOR: duplicate BR autoconf (by automake), automake (by libtool)
- no locales
- not relocatable
- owns all directories/files that it creates, does not own foreign files/dirs
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- is an X server, so no need for .desktop file
- no .la, no scriptlets, nothing related to devel (static, header files)
- rpmlint is silent on both src.rpm and generated binary rpm
- does not segfault on start :)


I suggest the following
- modify 
%{_bindir}/*
into
%{_bindir}/Xwnc
so that you have better control and do not pull in unneeded stuff in case
upstream changes something
- add NEWS to %doc, it seems to contain more useful info then the included README
- fix BR if you feel like it (according to packaging rules, duplicate BR are
acceptable)


APPROVED
Comment 2 Christopher Stone 2007-01-10 13:58:46 EST
- Removed glob from %files
- Added NEWS to %doc
- Not sure about your comment on BR, so I didnt fix anything in that regard
- imported new srpm into cvs
- added entry to owners.list
- built successfully for devel
- added cvs sync request for FC5/6

- THANKS FOR THE REVIEW!
Comment 3 manuel wolfshant 2007-01-10 16:37:42 EST
libtool pulls in automake which in turn pulls in autoconf. Therefore it is
enough to BR libtool
Comment 4 Christopher Stone 2007-01-10 20:09:39 EST
okay, I'll fix this in the -3 release.  Seems also I did not have the latest
debian patch applied, I will also update this in the -3 release.  Thanks again.

Note You need to log in before you can comment on or make changes to this bug.